#include <WiFi.h>
#include "console.h"
#include "scanap.h"

Console  console(0x3c, 4, 15);

void callback(int count);
ScanAp scanner(callback);


void callback(int count) {
  String s ;
  s.reserve(80);
  for (int i = 0; i < count; i++) {
    s = "(";
    s.concat(String(WiFi.RSSI(i)));
    s.concat(") ");
    s.concat(WiFi.SSID(i));
    console.println(s);    
    delay(1000);
  }
}


void setup()
{
  Serial.begin(115200);
  delay(10);

  console.init();

  // We start by connecting to a dummy WiFi network (Bugfix )
  console.println("init network");
  WiFi.mode(WIFI_STA);
  WiFi.begin();
  console.println("MAC: " + WiFi.macAddress());

  scanner.init();

}


int value = 0;

void loop()
{
  scanner.drive();
  delay(500);
}

